LAMCLEAN(1)

NAME
lamclean - Attempt to clean entire LAM system.

SYNTAX
lamclean [-hv]

OPTIONS

-h  Print the command help menu.

-v  Be verbose.

DESCRIPTION
The lamclean command attempts to remove all user processes and messages from all nodes. It also de-allocates all user allocated resources and cancels all user process registrations. This happens by invoking many different remote services which have previously been invoked individually by several other commands. These commands should still be used when partial selective removal of user presence is desired. Otherwise, lamclean is a quick and convenient way of starting over after a bad application run without rebooting the system.

lamclean takes the following actions on the following system processes on all nodes:

kenyad
    The LAM SIGUDIE signal (terminate) is sent to all user processes. See doom(1).

bufferd
    The entire daemon is reset to its initial state after booting. See sweep(1).

filed
    All user file descriptors are closed. See fctl(1).

traced
    All traces are removed. See lamtrace(1).

lamclean will not succeed if any of the nodes are unreachable due to catastrophic failure or maximum buffer overflow with link jamming. If lamclean does not return, use wipe(1) and lamboot(1) to restart the multicomputer.

SEE ALSO
lamboot(1), wipe(1), sweep(1), doom(1), fctl(1), lamtrace(1)